
package com.chinaitop.depot.intelligent.wsClient;

import javax.xml.bind.annotation.XmlRegistry;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.chinaitop.depot.intelligent.wsClient package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {


    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.chinaitop.depot.intelligent.wsClient
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetSingleSiteResponse }
     * 
     */
    public GetSingleSiteResponse createGetSingleSiteResponse() {
        return new GetSingleSiteResponse();
    }

    /**
     * Create an instance of {@link GetWindDevice }
     * 
     */
    public GetWindDevice createGetWindDevice() {
        return new GetWindDevice();
    }

    /**
     * Create an instance of {@link SaveWindDeviceResponse }
     * 
     */
    public SaveWindDeviceResponse createSaveWindDeviceResponse() {
        return new SaveWindDeviceResponse();
    }

    /**
     * Create an instance of {@link GetLightDeviceResponse }
     * 
     */
    public GetLightDeviceResponse createGetLightDeviceResponse() {
        return new GetLightDeviceResponse();
    }

    /**
     * Create an instance of {@link SaveSiteTypeResponse }
     * 
     */
    public SaveSiteTypeResponse createSaveSiteTypeResponse() {
        return new SaveSiteTypeResponse();
    }

    /**
     * Create an instance of {@link SaveGasDevice }
     * 
     */
    public SaveGasDevice createSaveGasDevice() {
        return new SaveGasDevice();
    }

    /**
     * Create an instance of {@link GetSingleLightDevice }
     * 
     */
    public GetSingleLightDevice createGetSingleLightDevice() {
        return new GetSingleLightDevice();
    }

    /**
     * Create an instance of {@link GetSiteType }
     * 
     */
    public GetSiteType createGetSiteType() {
        return new GetSiteType();
    }

    /**
     * Create an instance of {@link GetSingleSite }
     * 
     */
    public GetSingleSite createGetSingleSite() {
        return new GetSingleSite();
    }

    /**
     * Create an instance of {@link SaveSiteResponse }
     * 
     */
    public SaveSiteResponse createSaveSiteResponse() {
        return new SaveSiteResponse();
    }

    /**
     * Create an instance of {@link SaveSite }
     * 
     */
    public SaveSite createSaveSite() {
        return new SaveSite();
    }

    /**
     * Create an instance of {@link SaveWareHouseData }
     * 
     */
    public SaveWareHouseData createSaveWareHouseData() {
        return new SaveWareHouseData();
    }

    /**
     * Create an instance of {@link GetSingleWeatherDevice }
     * 
     */
    public GetSingleWeatherDevice createGetSingleWeatherDevice() {
        return new GetSingleWeatherDevice();
    }

    /**
     * Create an instance of {@link GetMapDataResponse }
     * 
     */
    public GetMapDataResponse createGetMapDataResponse() {
        return new GetMapDataResponse();
    }

    /**
     * Create an instance of {@link SaveGrainPointData }
     * 
     */
    public SaveGrainPointData createSaveGrainPointData() {
        return new SaveGrainPointData();
    }

    /**
     * Create an instance of {@link GetSingleWeatherDeviceResponse }
     * 
     */
    public GetSingleWeatherDeviceResponse createGetSingleWeatherDeviceResponse() {
        return new GetSingleWeatherDeviceResponse();
    }

    /**
     * Create an instance of {@link GetSingleSiteType }
     * 
     */
    public GetSingleSiteType createGetSingleSiteType() {
        return new GetSingleSiteType();
    }

    /**
     * Create an instance of {@link GetNitrogenData }
     * 
     */
    public GetNitrogenData createGetNitrogenData() {
        return new GetNitrogenData();
    }

    /**
     * Create an instance of {@link GetSingleEnergyData }
     * 
     */
    public GetSingleEnergyData createGetSingleEnergyData() {
        return new GetSingleEnergyData();
    }

    /**
     * Create an instance of {@link SaveNitrogenDataResponse }
     * 
     */
    public SaveNitrogenDataResponse createSaveNitrogenDataResponse() {
        return new SaveNitrogenDataResponse();
    }

    /**
     * Create an instance of {@link GetInsectDevice }
     * 
     */
    public GetInsectDevice createGetInsectDevice() {
        return new GetInsectDevice();
    }

    /**
     * Create an instance of {@link SaveGrainTemp }
     * 
     */
    public SaveGrainTemp createSaveGrainTemp() {
        return new SaveGrainTemp();
    }

    /**
     * Create an instance of {@link GetGasDeviceResponse }
     * 
     */
    public GetGasDeviceResponse createGetGasDeviceResponse() {
        return new GetGasDeviceResponse();
    }

    /**
     * Create an instance of {@link GetSingleInsectDeviceResponse }
     * 
     */
    public GetSingleInsectDeviceResponse createGetSingleInsectDeviceResponse() {
        return new GetSingleInsectDeviceResponse();
    }

    /**
     * Create an instance of {@link GetSingleGrainTempResponse }
     * 
     */
    public GetSingleGrainTempResponse createGetSingleGrainTempResponse() {
        return new GetSingleGrainTempResponse();
    }

    /**
     * Create an instance of {@link SaveWeatherDeviceResponse }
     * 
     */
    public SaveWeatherDeviceResponse createSaveWeatherDeviceResponse() {
        return new SaveWeatherDeviceResponse();
    }

    /**
     * Create an instance of {@link SaveInsectDeviceResponse }
     * 
     */
    public SaveInsectDeviceResponse createSaveInsectDeviceResponse() {
        return new SaveInsectDeviceResponse();
    }

    /**
     * Create an instance of {@link SaveEnergyDataResponse }
     * 
     */
    public SaveEnergyDataResponse createSaveEnergyDataResponse() {
        return new SaveEnergyDataResponse();
    }

    /**
     * Create an instance of {@link SaveGasDeviceResponse }
     * 
     */
    public SaveGasDeviceResponse createSaveGasDeviceResponse() {
        return new SaveGasDeviceResponse();
    }

    /**
     * Create an instance of {@link GetSingleMapData }
     * 
     */
    public GetSingleMapData createGetSingleMapData() {
        return new GetSingleMapData();
    }

    /**
     * Create an instance of {@link GetWindDeviceResponse }
     * 
     */
    public GetWindDeviceResponse createGetWindDeviceResponse() {
        return new GetWindDeviceResponse();
    }

    /**
     * Create an instance of {@link SaveAirData }
     * 
     */
    public SaveAirData createSaveAirData() {
        return new SaveAirData();
    }

    /**
     * Create an instance of {@link SaveEnergyData }
     * 
     */
    public SaveEnergyData createSaveEnergyData() {
        return new SaveEnergyData();
    }

    /**
     * Create an instance of {@link GetGrainTempResponse }
     * 
     */
    public GetGrainTempResponse createGetGrainTempResponse() {
        return new GetGrainTempResponse();
    }

    /**
     * Create an instance of {@link SaveWindDevice }
     * 
     */
    public SaveWindDevice createSaveWindDevice() {
        return new SaveWindDevice();
    }

    /**
     * Create an instance of {@link SaveLightDeviceResponse }
     * 
     */
    public SaveLightDeviceResponse createSaveLightDeviceResponse() {
        return new SaveLightDeviceResponse();
    }

    /**
     * Create an instance of {@link GetInsectDeviceResponse }
     * 
     */
    public GetInsectDeviceResponse createGetInsectDeviceResponse() {
        return new GetInsectDeviceResponse();
    }

    /**
     * Create an instance of {@link SaveWareHouseDataResponse }
     * 
     */
    public SaveWareHouseDataResponse createSaveWareHouseDataResponse() {
        return new SaveWareHouseDataResponse();
    }

    /**
     * Create an instance of {@link GetSingleMapDataResponse }
     * 
     */
    public GetSingleMapDataResponse createGetSingleMapDataResponse() {
        return new GetSingleMapDataResponse();
    }

    /**
     * Create an instance of {@link GetSingleSiteTypeResponse }
     * 
     */
    public GetSingleSiteTypeResponse createGetSingleSiteTypeResponse() {
        return new GetSingleSiteTypeResponse();
    }

    /**
     * Create an instance of {@link SaveGrainPointDataResponse }
     * 
     */
    public SaveGrainPointDataResponse createSaveGrainPointDataResponse() {
        return new SaveGrainPointDataResponse();
    }

    /**
     * Create an instance of {@link SaveGrainTempResponse }
     * 
     */
    public SaveGrainTempResponse createSaveGrainTempResponse() {
        return new SaveGrainTempResponse();
    }

    /**
     * Create an instance of {@link GetSite }
     * 
     */
    public GetSite createGetSite() {
        return new GetSite();
    }

    /**
     * Create an instance of {@link GetLightDevice }
     * 
     */
    public GetLightDevice createGetLightDevice() {
        return new GetLightDevice();
    }

    /**
     * Create an instance of {@link GetSingleWindDeviceResponse }
     * 
     */
    public GetSingleWindDeviceResponse createGetSingleWindDeviceResponse() {
        return new GetSingleWindDeviceResponse();
    }

    /**
     * Create an instance of {@link GetSingleLightDeviceResponse }
     * 
     */
    public GetSingleLightDeviceResponse createGetSingleLightDeviceResponse() {
        return new GetSingleLightDeviceResponse();
    }

    /**
     * Create an instance of {@link SaveInsectDevice }
     * 
     */
    public SaveInsectDevice createSaveInsectDevice() {
        return new SaveInsectDevice();
    }

    /**
     * Create an instance of {@link GetAirData }
     * 
     */
    public GetAirData createGetAirData() {
        return new GetAirData();
    }

    /**
     * Create an instance of {@link GetEnergyData }
     * 
     */
    public GetEnergyData createGetEnergyData() {
        return new GetEnergyData();
    }

    /**
     * Create an instance of {@link GetSingleWindDevice }
     * 
     */
    public GetSingleWindDevice createGetSingleWindDevice() {
        return new GetSingleWindDevice();
    }

    /**
     * Create an instance of {@link GetAirDataResponse }
     * 
     */
    public GetAirDataResponse createGetAirDataResponse() {
        return new GetAirDataResponse();
    }

    /**
     * Create an instance of {@link GetSingleGasDeviceResponse }
     * 
     */
    public GetSingleGasDeviceResponse createGetSingleGasDeviceResponse() {
        return new GetSingleGasDeviceResponse();
    }

    /**
     * Create an instance of {@link SaveWeatherDevice }
     * 
     */
    public SaveWeatherDevice createSaveWeatherDevice() {
        return new SaveWeatherDevice();
    }

    /**
     * Create an instance of {@link GetSingleAirDataResponse }
     * 
     */
    public GetSingleAirDataResponse createGetSingleAirDataResponse() {
        return new GetSingleAirDataResponse();
    }

    /**
     * Create an instance of {@link GetSingleGrainTemp }
     * 
     */
    public GetSingleGrainTemp createGetSingleGrainTemp() {
        return new GetSingleGrainTemp();
    }

    /**
     * Create an instance of {@link GetMapData }
     * 
     */
    public GetMapData createGetMapData() {
        return new GetMapData();
    }

    /**
     * Create an instance of {@link SaveSiteType }
     * 
     */
    public SaveSiteType createSaveSiteType() {
        return new SaveSiteType();
    }

    /**
     * Create an instance of {@link GetSingleInsectDevice }
     * 
     */
    public GetSingleInsectDevice createGetSingleInsectDevice() {
        return new GetSingleInsectDevice();
    }

    /**
     * Create an instance of {@link GetWeatherDeviceResponse }
     * 
     */
    public GetWeatherDeviceResponse createGetWeatherDeviceResponse() {
        return new GetWeatherDeviceResponse();
    }

    /**
     * Create an instance of {@link GetEnergyDataResponse }
     * 
     */
    public GetEnergyDataResponse createGetEnergyDataResponse() {
        return new GetEnergyDataResponse();
    }

    /**
     * Create an instance of {@link GetSiteTypeResponse }
     * 
     */
    public GetSiteTypeResponse createGetSiteTypeResponse() {
        return new GetSiteTypeResponse();
    }

    /**
     * Create an instance of {@link GetGasDevice }
     * 
     */
    public GetGasDevice createGetGasDevice() {
        return new GetGasDevice();
    }

    /**
     * Create an instance of {@link GetSingleGasDevice }
     * 
     */
    public GetSingleGasDevice createGetSingleGasDevice() {
        return new GetSingleGasDevice();
    }

    /**
     * Create an instance of {@link GetSingleAirData }
     * 
     */
    public GetSingleAirData createGetSingleAirData() {
        return new GetSingleAirData();
    }

    /**
     * Create an instance of {@link GetSingleEnergyDataResponse }
     * 
     */
    public GetSingleEnergyDataResponse createGetSingleEnergyDataResponse() {
        return new GetSingleEnergyDataResponse();
    }

    /**
     * Create an instance of {@link GetSingleNitrogenData }
     * 
     */
    public GetSingleNitrogenData createGetSingleNitrogenData() {
        return new GetSingleNitrogenData();
    }

    /**
     * Create an instance of {@link GetGrainTemp }
     * 
     */
    public GetGrainTemp createGetGrainTemp() {
        return new GetGrainTemp();
    }

    /**
     * Create an instance of {@link GetSingleNitrogenDataResponse }
     * 
     */
    public GetSingleNitrogenDataResponse createGetSingleNitrogenDataResponse() {
        return new GetSingleNitrogenDataResponse();
    }

    /**
     * Create an instance of {@link SaveMapDataResponse }
     * 
     */
    public SaveMapDataResponse createSaveMapDataResponse() {
        return new SaveMapDataResponse();
    }

    /**
     * Create an instance of {@link SaveMapData }
     * 
     */
    public SaveMapData createSaveMapData() {
        return new SaveMapData();
    }

    /**
     * Create an instance of {@link SaveLightDevice }
     * 
     */
    public SaveLightDevice createSaveLightDevice() {
        return new SaveLightDevice();
    }

    /**
     * Create an instance of {@link SaveNitrogenData }
     * 
     */
    public SaveNitrogenData createSaveNitrogenData() {
        return new SaveNitrogenData();
    }

    /**
     * Create an instance of {@link GetNitrogenDataResponse }
     * 
     */
    public GetNitrogenDataResponse createGetNitrogenDataResponse() {
        return new GetNitrogenDataResponse();
    }

    /**
     * Create an instance of {@link GetWeatherDevice }
     * 
     */
    public GetWeatherDevice createGetWeatherDevice() {
        return new GetWeatherDevice();
    }

    /**
     * Create an instance of {@link SaveAirDataResponse }
     * 
     */
    public SaveAirDataResponse createSaveAirDataResponse() {
        return new SaveAirDataResponse();
    }

    /**
     * Create an instance of {@link GetSiteResponse }
     * 
     */
    public GetSiteResponse createGetSiteResponse() {
        return new GetSiteResponse();
    }

}
